Loading...
Searching...
No Matches
seq_event.h File Reference

Application interface library for the ALSA driver. More...

Go to the source code of this file.

## Data Structures

struct | snd_seq_addr_t
struct | snd_seq_connect_t
struct | snd_seq_real_time_t
union | snd_seq_timestamp_t
struct | snd_seq_ev_note_t
struct | snd_seq_ev_ctrl_t
struct | snd_seq_ev_raw8_t
struct | snd_seq_ev_raw32_t
struct | snd_seq_ev_ext_t
struct | snd_seq_result_t
struct | snd_seq_queue_skew_t
struct | snd_seq_ev_queue_control_t
union | snd_seq_event_data_t
struct | snd_seq_event_t
struct | snd_seq_ump_event_t

## Macros

#define | SND_SEQ_TIME_STAMP_TICK (0<<0)
#define | SND_SEQ_TIME_STAMP_REAL (1<<0)
#define | SND_SEQ_TIME_STAMP_MASK (1<<0)
#define | SND_SEQ_TIME_MODE_ABS (0<<1)
#define | SND_SEQ_TIME_MODE_REL (1<<1)
#define | SND_SEQ_TIME_MODE_MASK (1<<1)
#define | SND_SEQ_EVENT_LENGTH_FIXED (0<<2)
#define | SND_SEQ_EVENT_LENGTH_VARIABLE (1<<2)
#define | SND_SEQ_EVENT_LENGTH_VARUSR (2<<2)
#define | SND_SEQ_EVENT_LENGTH_MASK (3<<2)
#define | SND_SEQ_PRIORITY_NORMAL (0<<4)
#define | SND_SEQ_PRIORITY_HIGH (1<<4)
#define | SND_SEQ_PRIORITY_MASK (1<<4)
#define | SND_SEQ_EVENT_UMP (1<<5)

## Typedefs

typedef unsigned char | snd_seq_event_type_t
typedef unsigned int | snd_seq_tick_time_t
typedef snd_seq_ev_ext | snd_seq_ev_ext_t

## Enumerations

enum

snd_seq_event_type {
SND_SEQ_EVENT_SYSTEM = 0 , SND_SEQ_EVENT_RESULT , SND_SEQ_EVENT_NOTE = 5 , SND_SEQ_EVENT_NOTEON ,
SND_SEQ_EVENT_NOTEOFF , SND_SEQ_EVENT_KEYPRESS , SND_SEQ_EVENT_CONTROLLER = 10 , SND_SEQ_EVENT_PGMCHANGE ,
SND_SEQ_EVENT_CHANPRESS , SND_SEQ_EVENT_PITCHBEND , SND_SEQ_EVENT_CONTROL14 , SND_SEQ_EVENT_NONREGPARAM ,
SND_SEQ_EVENT_REGPARAM , SND_SEQ_EVENT_SONGPOS = 20 , SND_SEQ_EVENT_SONGSEL , SND_SEQ_EVENT_QFRAME ,
SND_SEQ_EVENT_TIMESIGN , SND_SEQ_EVENT_KEYSIGN , SND_SEQ_EVENT_START = 30 , SND_SEQ_EVENT_CONTINUE ,
SND_SEQ_EVENT_STOP , SND_SEQ_EVENT_SETPOS_TICK , SND_SEQ_EVENT_SETPOS_TIME , SND_SEQ_EVENT_TEMPO ,
SND_SEQ_EVENT_CLOCK , SND_SEQ_EVENT_TICK , SND_SEQ_EVENT_QUEUE_SKEW , SND_SEQ_EVENT_SYNC_POS ,
SND_SEQ_EVENT_TUNE_REQUEST = 40 , SND_SEQ_EVENT_RESET , SND_SEQ_EVENT_SENSING , SND_SEQ_EVENT_ECHO = 50 ,
SND_SEQ_EVENT_OSS , SND_SEQ_EVENT_CLIENT_START = 60 , SND_SEQ_EVENT_CLIENT_EXIT , SND_SEQ_EVENT_CLIENT_CHANGE ,
SND_SEQ_EVENT_PORT_START , SND_SEQ_EVENT_PORT_EXIT , SND_SEQ_EVENT_PORT_CHANGE , SND_SEQ_EVENT_PORT_SUBSCRIBED ,
SND_SEQ_EVENT_PORT_UNSUBSCRIBED , SND_SEQ_EVENT_USR0 = 90 , SND_SEQ_EVENT_USR1 , SND_SEQ_EVENT_USR2 ,
SND_SEQ_EVENT_USR3 , SND_SEQ_EVENT_USR4 , SND_SEQ_EVENT_USR5 , SND_SEQ_EVENT_USR6 ,
SND_SEQ_EVENT_USR7 , SND_SEQ_EVENT_USR8 , SND_SEQ_EVENT_USR9 , SND_SEQ_EVENT_SYSEX = 130 ,
SND_SEQ_EVENT_BOUNCE , SND_SEQ_EVENT_USR_VAR0 = 135 , SND_SEQ_EVENT_USR_VAR1 , SND_SEQ_EVENT_USR_VAR2 ,
SND_SEQ_EVENT_USR_VAR3 , SND_SEQ_EVENT_USR_VAR4 , SND_SEQ_EVENT_NONE = 255
}

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver